<?php

$datalink = dbconnect();

/**
 * @return object
 * @param dsn = string unknown
 * @desc Establishes a database connection. DB parameters in config.inc.php
 */
function dbconnect() {
	$dsn = DSN;

	$connx =& DB::connect(&$dsn, __PCONNECT__);
	if (DB::isError($connx)) {
	    // You would need to implement graceful error control here, of course.
		die("Database connection failed: " . $connx->getUserInfo());
		return FALSE;
	} else {
	    // See the Pear::DB documentation for more options
		$connx->setFetchMode(DB_FETCHMODE_ASSOC);
		return $connx;
	}
}

?>