<?php

// This is your main functions library

/**
 * @return void
 * @param string $class
 * @desc Requires the appropriate class
*/
function require_class($class) {
	require_once(CLASSES_PATH . $class . ".class.php");
}

/**
 * @return string
 * @param string $str
 * @desc Formats the argument as an error message
*/
function err($str) {
	return "<font color=\"#ff0000\"><b>$str</b></font><br>\n";
}

/**
 * @return string
 * @param string $str
 * @desc Formats the argument as a success message
*/
function succ($str) {
	return "<font color=\"#0000ff\"><b>$str</b></font><br>\n";
}

?>