<?php

/**
 * @return string
 * @param Pointer $index_content
 * @desc Calls the appropriate module and floats its return value up to the index.
*/
function switchboard(&$index_content) {
    // Add here all your registered modules
    $modules = array("user", "home");
    
    $mod = $_GET['module'];
    
    if (in_array($mod, $modules)) {
		require_once(MODS_PATH . $mod . ".php");
		return $mod($index_content);
    }
    
    // You would need to implement real error control here
    if ($mod) {
        $index_content .= err("The module $mod does not exist");
        return "Error";
    } else {
        require_once(MODS_PATH . "home.php");
        return home($index_content);
    }
}